features:
  secondary:
  # Chart improvements
    - name: "GitLab chart improvements"
      available_in: [core, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/charts'
      reporter: dorrino
      stage: enablement
      categories:
      - 'Cloud Native Installation'
      description: |
        - The configuration option [`terminationGracePeriodSeconds`](https://docs.gitlab.com/charts/charts/gitlab/sidekiq/) in Sidekiq is now available for the Sidekiq chart, which allows for better protection of long-running jobs during pod shutdown.
        - Previously, there was no protection if users set the `SIDEKIQ_TIMEOUT` to a value higher than `terminationGracePeriodSeconds`. This would result in jobs that are continuing to run beyond 30 seconds to be forcibly stopped. With the new chart release, Sidekiq deployments can now have [differing timeouts](https://docs.gitlab.com/charts/charts/gitlab/sidekiq/).
        - Support for [IAM roles for service accounts](https://docs.gitlab.com/charts/advanced/external-object-storage/index.html#using-iam-roles-for-service-accounts) to access external object storage is now available.
